commit:     5ca9010e2c07dc2b01b54a474b616f5c20589ebd
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 17 23:16:35 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Oct 17 23:20:32 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ca9010e

dev-vcs/vcsh: add 2.0.4

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-vcs/vcsh/Manifest          |  1 +
 dev-vcs/vcsh/vcsh-2.0.4.ebuild | 27 +++++++++++++++++++++++++++
 2 files changed, 28 insertions(+)

diff --git a/dev-vcs/vcsh/Manifest b/dev-vcs/vcsh/Manifest
index bcf9bca2a470..f01e392a686a 100644
--- a/dev-vcs/vcsh/Manifest
+++ b/dev-vcs/vcsh/Manifest
@@ -1 +1,2 @@
 DIST vcsh-1.20190621.4.tar.gz 40262 BLAKE2B 
541f0fe4873236d6b2af2f2a71c446954ca401b69beeca9b21c61a51e3cff11fd1999addcdf4f5d699ff54fa08e6b81a33e0b6d586cad250470e4646cbd5edd9
 SHA512 
d86168198f468bbf74d7c83dfe61e07e39772c98467b713f7a4972b779f046c51a2c983ddd444d0332d2a586159d86ccb6560d4cffb5a6441534c425a717ffe3
+DIST vcsh-2.0.4.tar.xz 84608 BLAKE2B 
aad8c63997b55601489443642bcd40d7f8ecb977c99d11fc309f5c76d6e02d3fe5b486c16aa5722d6aca142e77a8109f38566bd21973d78bc542793124904127
 SHA512 
36c823052c2e2d511b6a9e07e43e7c96255ed0fdcd620db3bb22ba3215060762c0ae556afab31522ff87a443affbee46d9ab4cc8a04aa3a6fa5fdae96aba8d09

diff --git a/dev-vcs/vcsh/vcsh-2.0.4.ebuild b/dev-vcs/vcsh/vcsh-2.0.4.ebuild
new file mode 100644
index 000000000000..b6b83219ead8
--- /dev/null
+++ b/dev-vcs/vcsh/vcsh-2.0.4.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Manage config files in $HOME via fake bare git repositories"
+HOMEPAGE="https://github.com/RichiH/vcsh";
+SRC_URI="https://github.com/RichiH/vcsh/releases/download/v${PV}/${P}.tar.xz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-vcs/git"
+
+src_configure() {
+       # bash for https://github.com/RichiH/vcsh/issues/325
+       CONFIG_SHELL="${BROOT}"/bin/bash econf
+}
+
+src_install() {
+       default
+
+       mv "${ED}"/usr/share/doc/${PN} "${ED}"/usr/share/doc/${PF} || die
+
+       dodoc -r doc/sample_hooks
+}

Reply via email to